> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.simjuno.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simjuno.com/_mcp/server.

# Nowpayments Whitelistrefunds

GET https://api.simjuno.com/v1/admin/nowpayments/whitelist-refunds

List NowPayments refunds waiting for wallet whitelist

Reference: https://docs.simjuno.com/api-reference/admin/nowpayments-whitelistrefunds

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: SimJuno API
  version: 1.0.0
paths:
  /admin/nowpayments/whitelist-refunds:
    get:
      operationId: nowpayments-whitelistrefunds
      summary: Nowpayments Whitelistrefunds
      description: List NowPayments refunds waiting for wallet whitelist
      tags:
        - admin
      parameters:
        - name: x-api-key
          in: header
          description: API key generated from the dashboard (Settings → API Keys).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/admin_nowpaymentsWhitelistrefunds_Response_200
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
servers:
  - url: https://api.simjuno.com/v1
    description: https://api.simjuno.com/v1
components:
  schemas:
    AdminNowpaymentsWhitelistRefundsGetResponsesContentApplicationJsonSchemaRowsItemsStatus:
      type: string
      enum:
        - pending
        - succeeded
        - failed
      title: >-
        AdminNowpaymentsWhitelistRefundsGetResponsesContentApplicationJsonSchemaRowsItemsStatus
    AdminNowpaymentsWhitelistRefundsGetResponsesContentApplicationJsonSchemaRowsItemsUser:
      type: object
      properties:
        name:
          type: string
        email:
          type: string
      required:
        - name
        - email
      title: >-
        AdminNowpaymentsWhitelistRefundsGetResponsesContentApplicationJsonSchemaRowsItemsUser
    AdminNowpaymentsWhitelistRefundsGetResponsesContentApplicationJsonSchemaRowsItems:
      type: object
      properties:
        refundId:
          type: string
          format: uuid
        purchaseId:
          type: string
          format: uuid
        status:
          $ref: >-
            #/components/schemas/AdminNowpaymentsWhitelistRefundsGetResponsesContentApplicationJsonSchemaRowsItemsStatus
        amount:
          type: number
          format: double
        senderAddress:
          type: string
        payoutCurrency:
          type: string
        payinHash:
          type:
            - string
            - 'null'
        whitelistCsv:
          type: string
        createdAt:
          type: string
        user:
          $ref: >-
            #/components/schemas/AdminNowpaymentsWhitelistRefundsGetResponsesContentApplicationJsonSchemaRowsItemsUser
      required:
        - refundId
        - purchaseId
        - status
        - amount
        - senderAddress
        - payoutCurrency
        - payinHash
        - whitelistCsv
        - createdAt
        - user
      title: >-
        AdminNowpaymentsWhitelistRefundsGetResponsesContentApplicationJsonSchemaRowsItems
    admin_nowpaymentsWhitelistrefunds_Response_200:
      type: object
      properties:
        rows:
          type: array
          items:
            $ref: >-
              #/components/schemas/AdminNowpaymentsWhitelistRefundsGetResponsesContentApplicationJsonSchemaRowsItems
        csv:
          type: string
      required:
        - rows
        - csv
      title: admin_nowpaymentsWhitelistrefunds_Response_200
    ErrorUnauthorizedIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorUnauthorizedIssuesItems
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorUnauthorizedIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.UNAUTHORIZED
    ErrorForbiddenIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorForbiddenIssuesItems
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorForbiddenIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.FORBIDDEN
    ErrorInternalServerErrorIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorInternalServerErrorIssuesItems
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorInternalServerErrorIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.INTERNAL_SERVER_ERROR
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key generated from the dashboard (Settings → API Keys).

```

## Examples



**Response**

```json
{
  "rows": [
    {
      "refundId": "string",
      "purchaseId": "string",
      "status": "pending",
      "amount": 1.1,
      "senderAddress": "string",
      "payoutCurrency": "string",
      "payinHash": "string",
      "whitelistCsv": "string",
      "createdAt": "string",
      "user": {
        "name": "string",
        "email": "string"
      }
    }
  ],
  "csv": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.simjuno.com/v1/admin/nowpayments/whitelist-refunds"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.simjuno.com/v1/admin/nowpayments/whitelist-refunds';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.simjuno.com/v1/admin/nowpayments/whitelist-refunds"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.simjuno.com/v1/admin/nowpayments/whitelist-refunds")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.simjuno.com/v1/admin/nowpayments/whitelist-refunds")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.simjuno.com/v1/admin/nowpayments/whitelist-refunds', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.simjuno.com/v1/admin/nowpayments/whitelist-refunds");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.simjuno.com/v1/admin/nowpayments/whitelist-refunds")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```